#include <iostream>

using namespace std;
bool vis (int H, int L)
{
    return H<=L;
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int N, L, H,k=-1;
    bool b=false;
    cin >> N >> L;
    for (int i = 1; i <= N; i++)
    {
        cin >> H;
        if (!b && vis(H,L))
        {
            b=true;
            k=i;
        }
    }
    cout << k << endl;
    return 0;
}